import axios from '../../lib/axios'

const headers = {
	headers: { 'Content-Type': 'multipart/form-data' },
}

export const TagihanList = async (params) => {
	const response = await axios.post('tagihan/list', params, headers)
	return response.data
}

export const TagihanGetOne = async (data) => {
	const response = await axios.post('tagihan/get', data, headers)
	return response.data
}

export const TagihanUpdate = async (data) => {
	const response = await axios.post('tagihan/update', data, headers)
	return response.data
}

// UNTUK MINTA TAGIHAN ID
export const TagihanCreate = async (data) => {
	const response = await axios.post('tagihan/create', data)
	return response.data
}

export const TagihanDelete = async (data) => {
	const response = await axios.post('tagihan/delete', data, headers)
	return response.data
}

// ADD DETAIL
export const TagihanAddDetail = async (data) => {
	const response = await axios.post('tagihan/add_detail', data, { headers: { 'Content-Type': 'application/json' } })
	return response.data
}

// ADD TAGIHAN SUBMIT
export const TagihanSubmit = async (data) => {
	const response = await axios.post('tagihan/submit', data, { headers: { 'Content-Type': 'application/json' } })
	return response.data
}

// RESUBMIT
export const TagihanResubmit = async (data) => {
	const response = await axios.post('tagihan/update_detail', data, { headers: { 'Content-Type': 'application/json' } })
	return response.data
}
